We love contributions from the community! Here's a quick guide to making a pull
request:

1. Fork the repo.

2. Run the tests. We only take pull requests with passing tests, and it's great
to know that you have a clean slate: `bundle && bundle exec rake`

3. If you're adding functionality or fixing a bug, add a failing test for the
issue first.

4. Make the test pass.

5. If you're adding a new feature, ensure that the documentation is up to date
(see the README for instructions on previewing documentation live).

6. Finally, push to your fork and submit a pull request.

At this point you're waiting on us. We try to respond to issues and pull
requests within a few business days. We may suggest some changes to make to your
code to fit with our [code style] or the project style, or discuss alternate
ways of addressing the issue in question. When we're happy with everything,
we'll bring your changes into master. Now you're a contributor!

[code style]: https://github.com/thoughtbot/guides/tree/master/style
